After downloading and installing the kernel headers (rpm -ivh kernel-devel-2.6.15-1.2054_FC5.i686.rpm) for Fedora Core 5 (uname -r = 2.6.15-1.2054_FC5smp) - I tried to patch the kernel with patch-2.6.16 from the /usr/src/kernels/2.6.15-1.2054_FC5-i686 directory. I used the command: patch -p1 -i patch-2.6.16 and got the following error:

can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git a/.gitignore b/.gitignore
|index 5014bfa..3f8fb68 100644
|--- a/.gitignore
|+++ b/.gitignore
--------------------------
File to patch:

any ideas as to what I am doing wrong?